<?php

header('Content-Type: application/json');

$con = mysqli_connect("mysql592.lnxserversecure.com","root","","educafro");

// Check connection
if (mysqli_connect_errno($con))
{
    echo "Failed to connect to DataBase: " . mysqli_connect_error();
}else
{
    $data_points = array();
    
  /*  $result = mysqli_query($con, "SELECT AVG(a.nota) as media,b.nome_atividade, b.data_atividade, c.materia,e.nome,f.tipo_atividade,g.area  FROM senuc_atividades_aluno as a 
inner join senuc_atividades as b on a.id_atividade=b.id
inner join materias as c on b.materia_atividade=c.id
inner join senuc_area_materias as d on d.id_materia=c.id
inner join senuc_professores as e on e.id=b.id_professor
inner join senuc_tipo_atividade as f on b.tipo_atividade=f.id
inner join senuc_area as g on d.id_area=g.id
 where id_aluno=397 group by g.id");*/
	
	//por materias
	
	    $result = mysqli_query($con, "SELECT AVG(a.nota) as media,b.nome_atividade, b.data_atividade, c.materia,e.nome,f.tipo_atividade,g.area  FROM senuc_atividades_aluno as a 
inner join senuc_atividades as b on a.id_atividade=b.id
inner join materias as c on b.materia_atividade=c.id
inner join senuc_area_materias as d on d.id_materia=c.id
inner join senuc_professores as e on e.id=b.id_professor
inner join senuc_tipo_atividade as f on b.tipo_atividade=f.id
inner join senuc_area as g on d.id_area=g.id
 where id_aluno=397 group by c.id");
    
    while($row = mysqli_fetch_array($result))
    {        
        $point = array("label" => $row['materia'] , "y" => $row['media']);
        
        array_push($data_points, $point);        
    }
    
    echo json_encode($data_points, JSON_NUMERIC_CHECK);
}
mysqli_close($con);

?>